local Talents = require("engine.interface.ActorTalents")
local Stats = require("engine.interface.ActorStats")

class:bindHook("Quest:escort:assign", function(self, data)
	data.possible_types[#data.possible_types+1] = {
		name="injured psion", random="female", chance=60,
		text = [[Please help me! I am afraid I lost myself in this place. I know there is a recall portal left around here by a friend, but I have fought too many battles, and I fear I will not make it. Would you help me?]],
		actor = {
			name = "%s, the injured psion",
			type = "humanoid", subtype = "elf", image = "player/thalore_female.png",
			display = "@", color=colors.LIGHT_GREEN,
			desc = [[She looks tired and wounded.]],
			autolevel = "wildcaster",
			ai = "escort_quest", ai_state = { talent_in=4, },
			stats = { str=8, dex=7, wil=18, con=12 },

			body = { INVEN = 10, MAINHAND=1, OFFHAND=1, BODY=1, QUIVER=1 },
			resolvers.equip{ {type="weapon", subtype="mindstar", autoreq=true} },
			resolvers.talents{ [Talents.T_WILLFUL_STRIKE]=1, },
			lite = 4,
			rank = 2,
			exp_worth = 1,
			antimagic_ok = true,

			max_life = 50, life_regen = 0,
			life_rating = 11,
			combat_armor = 3, combat_def = 3,
			inc_damage = {all=-50},

			reward_type = "psion",
		},
	}
	data.possible_types[#data.possible_types+1] = {
		name="injured wilder", random="female", chance=60,
		text = [[Please help me! I am afraid I lost myself in this place. I know there is a recall portal left around here by a friend, but I have fought too many battles, and I fear I will not make it. Would you help me?]],
		actor = {
			name = "%s, the injured wilder",
			type = "humanoid", subtype = "elf", image = "player/thalore_female.png",
			display = "@", color=colors.LIGHT_GREEN,
			desc = [[She looks tired and wounded.]],
			autolevel = "wildcaster",
			ai = "escort_quest", ai_state = { talent_in=4, },
			stats = { str=8, dex=7, wil=18, con=12 },

			body = { INVEN = 10, MAINHAND=1, OFFHAND=1, BODY=1, QUIVER=1 },
			resolvers.equip{ {type="weapon", subtype="mindstar", autoreq=true} },
			resolvers.talents{ [Talents.T_ACIDIC_SPRAY]=1, },
			lite = 4,
			rank = 2,
			exp_worth = 1,
			antimagic_ok = true,

			max_life = 50, life_regen = 0,
			life_rating = 11,
			combat_armor = 3, combat_def = 3,
			inc_damage = {all=-50},

			reward_type = "wilder",
		},
	}
end)

class:bindHook("Quest:escort:reward", function(self, data)
	data.reward_types.psion = {
		types = {
			["psionic/dreaming"] = 0.8,
			["psionic/mentalism"] = 0.8,
			["psionic/augmented-mobility"] = 0.8,
		},
		talents = {
			[Talents.T_SLEEP] = 1,
			[Talents.T_LUCID_DREAMER] = 1,
			[Talents.T_PSYCHOMETRY] = 1,
		},
		stats = {
			[Stats.STAT_CUN] = 2,
			[Stats.STAT_WIL] = 1,
		},
	}
	
	data.reward_types.wilder = {
		types = {
			["wild-gift/call"] = 0.8,
			["wild-gift/fungus"] = 0.8,
			["wild-gift/mindstar-mastery"] = 0.8,
			["technique/conditioning"] = 0.8,
		},
		talents = {
			[Talents.T_NATURE_TOUCH] = 1,
			[Talents.T_VITALITY] = 1,
		},
		stats = {
			[Stats.STAT_WIL] = 2,
			[Stats.STAT_CON] = 1,
		},
	} 
end)